commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karr, David" <david.k...@wamu.net>
Subject RE: commons-logging 1.0.4 on bea weblogic 8.1 dependencies
Date Sun, 16 Jan 2005 17:28:53 GMT
I suggest you set "prefer-web-inf-classes" to true in your weblogic.xml, and ensure that your
new libraries are only contained in your WEB-INF/lib directory.  If you don't, either your
application or the base WebLogic infrastructure may develop subtle (or acute) problems.

> -----Original Message-----
> From: lukas_oesterreicher@sonynetservices.com 
> [mailto:lukas_oesterreicher@sonynetservices.com] 
> Sent: Friday, January 14, 2005 2:43 AM
> To: commons-user@jakarta.apache.org
> Subject: commons-logging 1.0.4 on bea weblogic 8.1 dependencies
> 
> 
> Hello.
> 
> I just tried to upgrade to struts 1.2.6. This includes upgrading 
> commons-logging from 1.0.3 to 1.0.4.
> Having done that I found a dependency problem:
> 
> The Class org.apache.commons.logging.impl.Log4JCategoryLog is 
> outdated and 
> replaced with
> org.apache.commons.logging.impl.Log4JLogger.
> 
> I have updated my configurations (commons-logging.properties) 
> and sources 
> to that and could
> minimize the exceptions during deployment to one:
> 
> <14.01.2005 11:16 Uhr CET> <Error> <HTTP> <BEA-101216> 
> <Servlet: "action" 
> failed to preload on startup in Web application: 
> "pma-backoffice-R2_0".
> javax.servlet.ServletException: 
> org.apache.log4j.Category.log(Ljava/lang/String;Lorg/apache/lo
> g4j/Level;Ljava/lang/Object;Ljava/lang/Throwable;)V
>         at 
> weblogic.servlet.internal.ServletStubImpl.createServlet(Servle
> tStubImpl.java:906)
>         at 
> weblogic.servlet.internal.ServletStubImpl.createInstances(Serv
> letStubImpl.java:842)
>         at 
> weblogic.servlet.internal.ServletStubImpl.prepareServlet(Servl
> etStubImpl.java:782)
>         at 
> weblogic.servlet.internal.WebAppServletContext.preloadServlet(
> WebAppServletContext.java:3236)
>         at 
> weblogic.servlet.internal.WebAppServletContext.preloadServlets
> (WebAppServletContext.java:3181)
>         at 
> weblogic.servlet.internal.WebAppServletContext.preloadResource
> s(WebAppServletContext.java:3154)
>         at 
> weblogic.servlet.internal.HttpServer.preloadResources(HttpServ
> er.java:654)
>         at 
> weblogic.servlet.internal.WebService.preloadResources(WebServi
> ce.java:483)
>         at 
> weblogic.servlet.internal.ServletInitService.resume(ServletIni
> tService.java:30)
>         at 
> weblogic.t3.srvr.SubsystemManager.resume(SubsystemManager.java:131)
>         at weblogic.t3.srvr.T3Srvr.resume(T3Srvr.java:964)
>         at weblogic.t3.srvr.T3Srvr.run(T3Srvr.java:359)
>         at weblogic.Server.main(Server.java:32)
> >
> 
> However I could not find this to be sourcing in my code but 
> it seemes to 
> be bea weblogic's code that
> tries to use the outdated class.
> 
> Can you tell me a solution to this problem or help me track 
> down the cause 
> in detail and
> possibly how to fix it?
> 
> If there is none, could you tell me if struts 1.2.6 can work 
> with 1.0.3 
> instead?
> 
> Thanx in Advance,
> Lukas Österreicher
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-user-help@jakarta.apache.org


Mime
View raw message